---
title: MathMLElement
slug: Web/API/MathMLElement
tags:
  - API
  - Interface
  - MathML
  - MathMLElement
  - Reference
---
<div>{{APIRef("MathML")}}</div>

<p class="summary">The <strong><code>MathMLElement</code></strong> interface represents any <a href="/en-US/docs/Web/MathML">MathML</a> element.</p>

<h2 id="Properties">Properties</h2>

<p><em>This interface has no properties, but inherits properties from: {{DOMxRef("DocumentAndElementEventHandlers")}}, {{DOMxRef("Element")}}, {{DOMxRef("ElementCSSInlineStyle")}}, {{DOMxRef("GlobalEventHandlers")}}, {{DOMxRef("HTMLOrForeignElement")}}</em></p>

<ul>
</ul>

<h2 id="Methods">Methods</h2>

<p><em>This interface has no methods, but inherits methods from: {{DOMxRef("DocumentAndElementEventHandlers")}}, {{DOMxRef("Element")}}, {{DOMxRef("ElementCSSInlineStyle")}}, {{DOMxRef("GlobalEventHandlers")}}, {{DOMxRef("HTMLOrForeignElement")}}</em></p>

<h2 id="Examples">Examples</h2>

<h3 id="MathML">MathML</h3>

<pre class="brush: html">&lt;math xmlns="http://www.w3.org/1998/Math/MathML"&gt;
  &lt;msqrt&gt;
    &lt;mi&gt;x&lt;/mi&gt;
  &lt;/msqrt&gt;
&lt;/math&gt;</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js">document.querySelector('msqrt').constructor.name; // MathMLElement</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><a href="https://mathml-refresh.github.io/mathml-core/#dom-mathmlelement">MathMLElement interface</a></td>
   <td></td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MathMLElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{DOMxRef("Element")}}</li>
 <li>{{DOMxRef("HTMLElement")}}</li>
 <li>{{DOMxRef("SVGElement")}}</li>
</ul>
